Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 01 Mar 2021 07:55:20 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have expected to deliver my room furniture yesterday 27th Feb as agreed and promised from HomeCenter team delivery and the store however they didnt come  nor they called to to apologize as well please be iformed that I am unsatisfied at all and dis appointed for that in addition I am really busy and not you as a company should respect your customers time your support will be highly appre iated to do the needful to bring my order as soonest and / App Version: 6.42 / Android Version: 11 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2164879